summaryrefslogtreecommitdiff
path: root/dev-python/gitdb
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-25 08:28:48 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-25 08:28:48 +0000
commit6fe625180468f488b4634305b2a9aa542210f361 (patch)
tree3ad6ac1180a3528545a53cec09985e5f85f582c8 /dev-python/gitdb
parente5b740e7b4d2b84d982bc358cf0e37d277609fc9 (diff)
downloadbaldeagleos-repo-6fe625180468f488b4634305b2a9aa542210f361.tar.gz
baldeagleos-repo-6fe625180468f488b4634305b2a9aa542210f361.tar.xz
baldeagleos-repo-6fe625180468f488b4634305b2a9aa542210f361.zip
Adding metadata
Diffstat (limited to 'dev-python/gitdb')
-rw-r--r--dev-python/gitdb/Manifest1
-rw-r--r--dev-python/gitdb/gitdb-4.0.10.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/dev-python/gitdb/Manifest b/dev-python/gitdb/Manifest
index 1cd1f5b2863f..00b3ec8cf7c0 100644
--- a/dev-python/gitdb/Manifest
+++ b/dev-python/gitdb/Manifest
@@ -1 +1,2 @@
+DIST gitdb-4.0.10.tar.gz 394284 BLAKE2B f5a00dd3a27a17781df4c53c268c92101838ce53efcb3796a72a79f8109540912f86d746cad169ef34af2575cfb242e90cb450b658699512d37956f6902e14ed SHA512 6cfb58db322f1b18fd25d0c6537e5b24b2eb2f7a7222c1511cdee8dff39fb1249bf12691b9cb1a5d653131b8c3c57c1de2bb42139a2c8da6014332b4f1c6c03b
DIST gitdb-4.0.9.tar.gz 394670 BLAKE2B 7882c2757f7c6ff9fa6518504b46ff987fa69f38ba28713a6d140614944e2ccb1c371321402faae835455659a8b33c12523cb781e9c62c79132a724c7ad4d86d SHA512 174b90e09b65ba38d3404fd79a8963987ab49a5e2b96ce82057b519861e8312342c425ff10849c865f66e6e88c27d651d8902a6f8abea88f9f33161f44974109
diff --git a/dev-python/gitdb/gitdb-4.0.10.ebuild b/dev-python/gitdb/gitdb-4.0.10.ebuild
new file mode 100644
index 000000000000..d53c35de02e9
--- /dev/null
+++ b/dev-python/gitdb/gitdb-4.0.10.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="GitDB is a pure-Python git object database"
+HOMEPAGE="
+ https://github.com/gitpython-developers/gitdb/
+ https://pypi.org/project/gitdb/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/smmap-3.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ local i
+
+ mkdir "${T}"/repo || die
+ cd "${T}"/repo || die
+
+ for (( i = 0; i < 2500; ++i )); do
+ echo "${i}" > file"${i}" || die
+ done
+
+ git init || die
+ git config user.email "you@example.com" || die
+ git config user.name "Your Name" || die
+ git add -A || die
+ git commit -q -m ".." || die
+ git clone --bare "${T}"/repo "${T}"/repo.git || die
+ cd "${S}" || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ gitdb/test/performance
+ )
+ local -x GITDB_TEST_GIT_REPO_BASE="${T}"/repo.git
+ epytest
+}